Bug 1656204

Summary: Hammer allows adding an erratum to a content view filter when the affected packages are not available in the content view
Product: Red Hat Satellite Reporter: Danny Synk <dsynk>
Component: Content ViewsAssignee: satellite6-bugs <satellite6-bugs>
Status: CLOSED WONTFIX QA Contact: Lai <ltran>
Severity: low Docs Contact:
Priority: unspecified    
Version: 6.3.4Keywords: Triaged
Target Milestone: Unspecified   
Target Release: Unused   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-04-13 17:40:04 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Danny Synk 2018-12-04 22:31:44 UTC
Description of problem:

Hammer allows adding an erratum to a content view filter even if the packages updated by the erratum are not available from any repositories in the content view.


How reproducible:

100% reproducible


Steps to Reproduce:
1. Create a content view with only the rhel-6-server-rpms and rhel-6-server-satellite-tools-6.3-rpms repositories
2. Create a yum content filter on the content view including all available errata updated in 2018
3. Add RHSA-2018:3665 (which only applies to RHEL 7 and was not available in the previous step) using hammer:

# hammer content-view filter rule create --content-view-filter-id 1 --errata-id RHSA-2018:3665


Actual results:

RHSA-2018:3665 is visible in the RHEL 6 content view filter errata list using both the Satellite webUI and `hammer content-view filter info`.


Expected results:

Hammer does not allow a user to add a given erratum to a content view filter unless packages affected by that erratum are available in the content view. Hammer presents an error when a user attempts to add such an erratum to a filter. 


Additional info:

Comment 3 Mike McCune 2021-03-11 18:51:18 UTC
Upon review of our valid but aging backlog the Satellite Team has concluded that this Bugzilla does not meet the criteria for a resolution in the near term, and are planning to close in one month's time. If you have any concerns about this, please contact your Red Hat Account team.  Thank you.

Comment 4 Mike McCune 2021-04-13 17:40:04 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact your Red Hat Account Team. Thank you.